##
##  cinvoke.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         cinvoke
Summary:      Foreign Function Call Library
URL:          http://www.nongnu.org/cinvoke/
Vendor:       Will Weisser
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Compiler
License:      MIT-style
Version:      1.0
Release:      20080101

#   list of sources
Source0:      http://download.savannah.nongnu.org/releases/cinvoke/cinvoke-%{version}.tgz
Patch0:       cinvoke.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20060823, perl, gcc
PreReq:       OpenPKG, openpkg >= 20060823
AutoReq:      no
AutoReqProv:  no

%description
    C/Invoke is a library for connecting to C libraries at runtime.
    This differs from the typical method of interfacing with C, which
    involves writing static definitions which are then compiled to a
    machine-dependant format. C/Invoke provides a runtime facility to
    build descriptions of C functions and to call them, passing them
    appropriate data and retrieving results. C/Invoke provides a central
    repository of code to handle the platform-dependant details of
    marshaling C parameters and return values.

%track
    prog cinvoke = {
        version   = %{version}
        url       = http://download.savannah.nongnu.org/releases/cinvoke/
        regex     = cinvoke-(__VER__)\.tgz
    }

%prep
    %setup -q
    %patch -p0

%build
    %{l_prefix}/bin/perl ./configure.pl --prefix=%{l_prefix}
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/include \
        $RPM_BUILD_ROOT%{l_prefix}/lib
    %{l_shtool} install -c -m 644 \
        lib/cinvoke.h lib/cinvoke-arch.h lib/cinvoke-archspec.h \
        $RPM_BUILD_ROOT%{l_prefix}/include/
    %{l_shtool} install -c -m 644 \
        lib/libcinvoke.a \
        $RPM_BUILD_ROOT%{l_prefix}/lib/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

